rultor.com logo This build log was produced by rultor.com for yegor256/qbash#40
+ set -e
+ set -o pipefail
++ dirname ./run.sh
+ cd .
+ echo 1244
+ echo '2.0-SNAPSHOT BUILD'
2.0-SNAPSHOT BUILD
+ date
Tue Feb  4 15:56:23 UTC 2025
+ uptime
 15:56:23 up 0 min,  0 users,  load average: 1.97, 0.60, 0.21
+ head=git@github.com:yegor256/qbash.git
+ ff=default
+ image=yegor256/rultor-ruby
+ rebase=false
+ squash=false
+ head_branch=master
+ author=yegor256
+ tag=0.3.1
+ vars=('--env=head=git@github.com:yegor256/qbash.git' '--env=tag=0.3.1' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/qbash.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.3.1'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" qbash.gemspec'\'' '\'';'\'' '\''git add qbash.gemspec'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build qbash.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' '--env=head_branch=master' '--env=author=yegor256')
+ scripts=('export '\''head=git@github.com:yegor256/qbash.git'\''' ';' 'export '\''tag=0.3.1'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" qbash.gemspec' ';' 'git add qbash.gemspec' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build qbash.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';')
+ directory=
+ container=yegor256_qbash_40
+ as_root=false
+ hostname
ip-172-31-23-43
+ pwd
/tmp/rultor-E1TV
+ git --version
git version 2.34.1
+ docker --version
Docker version 25.0.3, build 4debf41
+ mkdir -p /home/ubuntu/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/ubuntu/.ssh/config
+ git clone git@github.com:yegor256/qbash.git repo
Cloning into 'repo'...
Warning: Permanently added 'github.com' (ED25519) to the list of known hosts.
+ cd repo
+ git config user.email me@rultor.com
+ git config user.name rultor
+ '[' -z 'export '\''head=git@github.com:yegor256/qbash.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:yegor256/qbash.git'\''' ';' 'export '\''tag=0.3.1'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" qbash.gemspec' ';' 'git add qbash.gemspec' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build qbash.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';'
+ sensitive=()
+ rm -rf .gnupg
+ set -ex
+ '[' -z 0.3.1 ']'
+ [[ 0.3.1 =~ ^[a-zA-Z0-9\.\-]+$ ]]
+ echo 'tag name is valid: "0.3.1"'
tag name is valid: "0.3.1"
+ cd repo
++ git tag -l 0.3.1
+ '[' ']'
+ export BRANCH_NAME=__rultor
+ BRANCH_NAME=__rultor
++ wc -l
++ git show-branch __rultor
+ '[' 0 -gt 0 ']'
+ git checkout -b __rultor
Switched to a new branch '__rultor'
+ docker_when_possible
+ true
++ tail -n 1
++ sed 's/ /\n/g'
++ uptime
+ load=0.22
++ bc
++ echo 0.22 '>' 30
+ '[' 0 -eq 1 ']'
+ echo 'load average is 0.22, low enough to run a new Docker container'
load average is 0.22, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/rultor-ruby
+ docker pull yegor256/rultor-ruby
Using default tag: latest
latest: Pulling from yegor256/rultor-ruby
dafa2b0c44d2: Pulling fs layer
4f4fb700ef54: Pulling fs layer
5ccf01e6cefd: Pulling fs layer
4a5449bec489: Pulling fs layer
ac7832f41460: Pulling fs layer
d63b8b04cafc: Pulling fs layer
7d5af111f2cc: Pulling fs layer
720999eee6d5: Pulling fs layer
99fbfb6da2e7: Pulling fs layer
2407230a9192: Pulling fs layer
7f36f52815f4: Pulling fs layer
4a5449bec489: Waiting
ac7832f41460: Waiting
d63b8b04cafc: Waiting
7d5af111f2cc: Waiting
720999eee6d5: Waiting
99fbfb6da2e7: Waiting
2407230a9192: Waiting
7f36f52815f4: Waiting
4f4fb700ef54: Verifying Checksum
4f4fb700ef54: Download complete
4a5449bec489: Verifying Checksum
4a5449bec489: Download complete
dafa2b0c44d2: Verifying Checksum
dafa2b0c44d2: Download complete
5ccf01e6cefd: Verifying Checksum
5ccf01e6cefd: Download complete
7d5af111f2cc: Verifying Checksum
7d5af111f2cc: Download complete
d63b8b04cafc: Verifying Checksum
d63b8b04cafc: Download complete
720999eee6d5: Verifying Checksum
720999eee6d5: Download complete
99fbfb6da2e7: Verifying Checksum
99fbfb6da2e7: Download complete
7f36f52815f4: Verifying Checksum
7f36f52815f4: Download complete
ac7832f41460: Verifying Checksum
ac7832f41460: Download complete
2407230a9192: Verifying Checksum
2407230a9192: Download complete
dafa2b0c44d2: Pull complete
4f4fb700ef54: Pull complete
5ccf01e6cefd: Pull complete
4a5449bec489: Pull complete
ac7832f41460: Pull complete
d63b8b04cafc: Pull complete
7d5af111f2cc: Pull complete
720999eee6d5: Pull complete
99fbfb6da2e7: Pull complete
2407230a9192: Pull complete
7f36f52815f4: Pull complete
Digest: sha256:016cc75a948fa99d2fc1ac9be795ad3ca37cb8a3b15d9384b8f1cbd094bc3c94
Status: Downloaded newer image for yegor256/rultor-ruby:latest
docker.io/yegor256/rultor-ruby:latest
+ grep --quiet '\syegor256_qbash_40\s*$'
+ docker ps --filter=status=exited
+ ls -al .
total 52
drwx------  3 ubuntu ubuntu 4096 Feb  4 15:56 .
drwxrwxrwt 12 root   root   4096 Feb  4 15:56 ..
-rwxrwxr-x  1 ubuntu ubuntu 2089 Feb  4 15:57 end.sh
-rwxrwxr-x  1 ubuntu ubuntu  490 Feb  4 15:56 entry.sh
-rw-rw-r--  1 ubuntu ubuntu    5 Feb  4 15:56 pid
drwxrwxr-x  6 ubuntu ubuntu 4096 Feb  4 15:56 repo
-rw-rw-r--  1 ubuntu ubuntu   81 Feb  4 15:56 rubygems.yml
-rwxrwxr-x  1 ubuntu ubuntu 9242 Feb  4 15:56 run.sh
-rw-rw-r--  1 ubuntu ubuntu  654 Feb  4 15:56 script.sh
-rw-rw-r--  1 ubuntu ubuntu 5779 Feb  4 15:57 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-E1TV:/main --env=head=git@github.com:yegor256/qbash.git --env=tag=0.3.1 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/qbash.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.3.1'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" qbash.gemspec'\'' '\'';'\'' '\''git add qbash.gemspec'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build qbash.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' --env=head_branch=master --env=author=yegor256 --hostname=docker --privileged --net=host --dns 8.8.8.8 --add-host docker:127.0.0.1 --memory=8g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-E1TV/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=yegor256_qbash_40 yegor256/rultor-ruby /main/entry.sh
WARNING: Your kernel does not support OomKillDisable. OomKillDisable discarded.
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
++ awk -F : '$3 > 100 { print $1 }'
++ cat /etc/group
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G nogroup r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G ubuntu r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G _ssh r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G rvm r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G r r
+ usermod -s /bin/bash r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.cache /root/.gem /root/.gemrc /root/.gnupg /root/.profile /root/.rvmrc /home/r
+ cp -R ./cid ./end.sh ./entry.sh ./pid ./repo ./rubygems.yml ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ cat /home/r/script.sh
#!/bin/bash
set -e
set -o pipefail
if [ -e /home/r/.profile ]; then source /home/r/.profile; fi
shopt -s expand_aliases
alias 'sudo=sudo -i'
export HOME=/home/r
cd "${HOME}/repo"
export 'head=git@github.com:yegor256/qbash.git' ; export 'tag=0.3.1' ; export 'head_branch=master' ; export 'author=yegor256' ; pdd -f /dev/null ; bundle install --no-color ; [[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1 ; bundle exec rake ; rm -rf *.gem ; sed -i "s/0\.0\.0/${tag}/g" qbash.gemspec ; git add qbash.gemspec ; git commit -m "version set to ${tag}" ; gem build qbash.gemspec ; chmod 0600 ../rubygems.yml ; gem push *.gem --config-file ../rubygems.yml ;
+ su --login r --command /home/r/script.sh
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Found 7 lines in /home/r/repo/.pdd
My version is 0.23.1
Ruby version is 3.2.2 at x86_64-linux
Reading from root dir .
Excluding target/**/*
Excluding coverage/**/*
/usr/local/rvm/gems/ruby-3.2.2/gems/pdd-0.23.1/lib/pdd/sources.rb:90: warning: undefining the allocator of T_DATA class FileMagic
/home/r/repo/renovate.json is a binary file (107 bytes)
Reading .0pdd.yml ...
Reading .gitattributes ...
Reading .github/workflows/actionlint.yml ...
Reading .github/workflows/codecov.yml ...
Reading .github/workflows/copyrights.yml ...
Reading .github/workflows/markdown-lint.yml ...
Reading .github/workflows/pdd.yml ...
Reading .github/workflows/rake.yml ...
Reading .github/workflows/xcop.yml ...
Reading .github/workflows/yamllint.yml ...
Reading .gitignore ...
Reading .pdd ...
Reading .rubocop.yml ...
Reading .rultor.yml ...
Reading .simplecov ...
Reading Gemfile ...
Reading Gemfile.lock ...
Reading LICENSE.txt ...
Reading README.md ...
Reading Rakefile ...
Reading lib/qbash.rb ...
Reading qbash.gemspec ...
Reading test/test__helper.rb ...
Reading test/test_qbash.rb ...
Bundler 2.4.10 is running, but your lockfile was generated with 2.5.16. Installing Bundler 2.5.16 and restarting using that version.
Fetching gem metadata from https://rubygems.org/.
Fetching bundler 2.5.16
Installing bundler 2.5.16
Fetching gem metadata from https://rubygems.org/...........
Fetching rake 13.2.1
Installing rake 13.2.1
Fetching base64 0.2.0
Installing base64 0.2.0
Fetching benchmark 0.4.0
Installing benchmark 0.4.0
Fetching bigdecimal 3.1.9
Installing bigdecimal 3.1.9 with native extensions
Fetching concurrent-ruby 1.3.5
Installing concurrent-ruby 1.3.5
Fetching connection_pool 2.5.0
Installing connection_pool 2.5.0
Fetching drb 2.2.1
Installing drb 2.2.1
Fetching i18n 1.14.7
Installing i18n 1.14.7
Fetching logger 1.6.5
Installing logger 1.6.5
Fetching minitest 5.25.4
Installing minitest 5.25.4
Fetching securerandom 0.4.1
Installing securerandom 0.4.1
Fetching tzinfo 2.0.6
Installing tzinfo 2.0.6
Fetching uri 1.0.2
Installing uri 1.0.2
Fetching activesupport 8.0.1
Installing activesupport 8.0.1
Fetching builder 3.3.0
Installing builder 3.3.0
Fetching erubi 1.13.1
Installing erubi 1.13.1
Fetching racc 1.8.1
Installing racc 1.8.1 with native extensions
Fetching nokogiri 1.18.2 (x86_64-linux-gnu)
Installing nokogiri 1.18.2 (x86_64-linux-gnu)
Fetching rails-dom-testing 2.2.0
Installing rails-dom-testing 2.2.0
Fetching crass 1.0.6
Installing crass 1.0.6
Fetching loofah 2.24.0
Installing loofah 2.24.0
Fetching rails-html-sanitizer 1.6.2
Installing rails-html-sanitizer 1.6.2
Fetching actionview 8.0.1
Installing actionview 8.0.1
Fetching rack 3.1.9
Installing rack 3.1.9
Fetching rack-session 2.1.0
Installing rack-session 2.1.0
Fetching rack-test 2.2.0
Installing rack-test 2.2.0
Fetching useragent 0.16.11
Installing useragent 0.16.11
Fetching actionpack 8.0.1
Installing actionpack 8.0.1
Fetching public_suffix 6.0.1
Installing public_suffix 6.0.1
Fetching addressable 2.8.7
Installing addressable 2.8.7
Fetching ansi 1.5.0
Installing ansi 1.5.0
Fetching ast 2.4.2
Installing ast 2.4.2
Fetching backtrace 0.4.0
Installing backtrace 0.4.0
Fetching rexml 3.4.0
Installing rexml 3.4.0
Fetching crack 1.0.0
Installing crack 1.0.0
Fetching cucumber-ci-environment 10.0.1
Installing cucumber-ci-environment 10.0.1
Fetching cucumber-messages 22.0.0
Installing cucumber-messages 22.0.0
Fetching cucumber-gherkin 27.0.0
Installing cucumber-gherkin 27.0.0
Fetching cucumber-tag-expressions 6.1.2
Installing cucumber-tag-expressions 6.1.2
Fetching cucumber-core 13.0.3
Installing cucumber-core 13.0.3
Fetching cucumber-cucumber-expressions 17.1.0
Installing cucumber-cucumber-expressions 17.1.0
Fetching cucumber-html-formatter 21.9.0
Installing cucumber-html-formatter 21.9.0
Fetching diff-lcs 1.5.1
Installing diff-lcs 1.5.1
Fetching mini_mime 1.1.5
Installing mini_mime 1.1.5
Fetching multi_test 1.1.0
Installing multi_test 1.1.0
Fetching ffi 1.17.1 (x86_64-linux-gnu)
Installing ffi 1.17.1 (x86_64-linux-gnu)
Fetching sys-uname 1.3.1
Installing sys-uname 1.3.1
Fetching cucumber 9.2.1
Installing cucumber 9.2.1
Fetching date 3.4.1
Installing date 3.4.1 with native extensions
Fetching docile 1.4.1
Installing docile 1.4.1
Fetching loog 0.6.0
Installing loog 0.6.0
Fetching tago 0.0.2
Installing tago 0.0.2
Fetching elapsed 0.0.1
Installing elapsed 0.0.1
Fetching hashdiff 1.1.2
Installing hashdiff 1.1.2
Fetching io-console 0.8.0
Installing io-console 0.8.0 with native extensions
Fetching prettyprint 0.2.0
Installing prettyprint 0.2.0
Fetching pp 0.6.2
Installing pp 0.6.2
Fetching stringio 3.1.2
Installing stringio 3.1.2 with native extensions
Fetching psych 5.2.3
Installing psych 5.2.3 with native extensions
Fetching rdoc 6.11.0
Installing rdoc 6.11.0
Fetching reline 0.6.0
Installing reline 0.6.0
Fetching irb 1.15.1
Installing irb 1.15.1
Fetching json 2.9.1
Installing json 2.9.1 with native extensions
Fetching language_server-protocol 3.17.0.4
Installing language_server-protocol 3.17.0.4
Fetching ruby-progressbar 1.13.0
Installing ruby-progressbar 1.13.0
Fetching minitest-reporters 1.7.1
Installing minitest-reporters 1.7.1
Fetching net-ping 2.0.8
Installing net-ping 2.0.8
Fetching parallel 1.26.3
Installing parallel 1.26.3
Fetching parser 3.3.7.0
Installing parser 3.3.7.0
Fetching rackup 2.2.1
Installing rackup 2.2.1
Fetching thor 1.3.2
Installing thor 1.3.2
Fetching zeitwerk 2.7.1
Installing zeitwerk 2.7.1
Fetching railties 8.0.1
Installing railties 8.0.1
Fetching random-port 0.7.5
Installing random-port 0.7.5
Fetching regexp_parser 2.10.0
Installing regexp_parser 2.10.0
Fetching rspec-support 3.13.2
Installing rspec-support 3.13.2
Fetching rspec-core 3.13.2
Installing rspec-core 3.13.2
Fetching rspec-expectations 3.13.3
Installing rspec-expectations 3.13.3
Fetching rspec-mocks 3.13.2
Installing rspec-mocks 3.13.2
Fetching rspec-rails 7.1.0
Installing rspec-rails 7.1.0
Fetching rubocop-ast 1.38.0
Installing rubocop-ast 1.38.0
Fetching unicode-emoji 4.0.4
Installing unicode-emoji 4.0.4
Fetching unicode-display_width 3.1.4
Installing unicode-display_width 3.1.4
Fetching rubocop 1.71.2
Installing rubocop 1.71.2
Fetching rubocop-minitest 0.36.0
Installing rubocop-minitest 0.36.0
Fetching rubocop-performance 1.23.1
Installing rubocop-performance 1.23.1
Fetching rubocop-rake 0.6.0
Installing rubocop-rake 0.6.0
Fetching rubocop-rspec 3.4.0
Installing rubocop-rspec 3.4.0
Fetching simplecov-html 0.13.1
Installing simplecov-html 0.13.1
Fetching simplecov_json_formatter 0.1.4
Installing simplecov_json_formatter 0.1.4
Fetching simplecov 0.22.0
Installing simplecov 0.22.0
Fetching simplecov-cobertura 2.1.0
Installing simplecov-cobertura 2.1.0
Fetching w3c_validators 1.3.7
Installing w3c_validators 1.3.7
Fetching webmock 3.24.0
Installing webmock 3.24.0
Fetching yard 0.9.37
Installing yard 0.9.37
Bundle complete! 18 Gemfile dependencies, 98 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Started with run options --seed 1984

TestQbash
  test_with_special_symbols                                      32m PASS0m (0.01s)
  test_ignore_errors                                             32m PASS0m (0.00s)
  test_with_stdin                                                32m PASS0m (0.00s)
  test_skip_nil                                                  32m PASS0m (0.00s)
  test_accept_zero                                               32m PASS0m (0.00s)
  test_log_to_loog                                               32m PASS0m (0.01s)
  test_basic_run                                                 32m PASS0m (0.00s)
  test_command_as_array                                          32m PASS0m (0.00s)
  test_kills_in_thread                                           32m PASS0m (0.00s)
  test_with_both                                                 32m PASS0m (0.00s)
+ echo Hello world!
Hello world!

  test_log_to_console                                            32m PASS0m (0.00s)
  test_log_to_nil                                                32m PASS0m (0.00s)
  test_logs_in_background                                        32m PASS0m (0.03s)
  test_fails_when_nil_env                                        32m PASS0m (0.00s)
  test_with_error                                                32m PASS0m (0.00s)

Finished in 0.07702s
15 tests, 21 assertions, 32m0 failures, 0 errors, 0m33m0 skips0m
Coverage report generated for Unit Tests to /home/r/repo/coverage/coverage.xml. 48 / 51 LOC (94.12%) covered
Running RuboCop...
Inspecting 7 files
32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m

7 files inspected, 32mno offenses0m detected
[warn]:mInGfilea`README.md':62:hCannotmresolvellinkmto <code>timeout</code><a from text:
        ...{<code>timeout</code><a href="https://github.com/ruby/timeout">}...
[warn]:KIn5file `README.md':62:fCannotAresolvellink to <code>timeout</code><a from text:
        ...{<code>timeout</code><a href="https://github.com/ruby/timeout">}...
?25h2KFiles:1m⣯aGenerat1ngidoc/Kernel.html0mespace.html0m
Modules:         1 (    0 undocumented)
Classes:         0 (    0 undocumented)
Constants:       0 (    0 undocumented)
Attributes:      0 (    0 undocumented)
Methods:         1 (    0 undocumented)
 100.00% documented
[__rultor 524e395] version set to 0.3.1
 1 file changed, 1 insertion(+), 1 deletion(-)
WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
      stringio (>= 0)
      Available/installed versions of this gem:
      - 3.1.2
      - 3.0.4
WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'
Please report a bug if this causes problems.
WARNING:  open-ended dependency on backtrace (> 0) is not recommended
  use a bounded requirement, such as '~> x.y'
WARNING:  open-ended dependency on elapsed (> 0) is not recommended
  use a bounded requirement, such as '~> x.y'
WARNING:  open-ended dependency on loog (> 0) is not recommended
  use a bounded requirement, such as '~> x.y'
WARNING:  open-ended dependency on tago (> 0) is not recommended
  use a bounded requirement, such as '~> x.y'
WARNING:  See https://guides.rubygems.org/specification-reference/ for help
  Successfully built RubyGem
  Name: qbash
  Version: 0.3.1
  File: qbash-0.3.1.gem
WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
      stringio (>= 0)
      Available/installed versions of this gem:
      - 3.1.2
      - 3.0.4
WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'
Please report a bug if this causes problems.
Pushing gem to https://rubygems.org...
Successfully registered gem: qbash (0.3.1)
+ mv /home/r/repo .
++ whoami
+ chown -R root repo
+ '[' -n '' ']'
++ whoami
+ sudo chown -R ubuntu repo
+ cd repo
+ git checkout __rultor
Already on '__rultor'
+ git tag 0.3.1 -m '0.3.1: tagged by rultor.com'
+ git reset --hard
HEAD is now at 524e395 version set to 0.3.1
+ git clean -fd
+ git checkout master
Switched to branch 'master'
Your branch is up to date with 'origin/master'.
+ git branch -D __rultor
Deleted branch __rultor (was 524e395).
+ git push --all origin
Everything up-to-date
+ git push --tags origin
To github.com:yegor256/qbash.git
 * [new tag]         0.3.1 -> 0.3.1
container 8b02d6b57010554476ffcc31547f4f5f4d965fd495842672713b0516baa0a934 is dead
Tue Feb  4 15:59:41 UTC 2025